組織内のすべてのプロジェクトが最新のプラットフォーム ポリシー生成を実行中いるかどうかを報告し、ゲートウェイがまだ具体化していないプロジェクトとデータ プレーンがまだ確認されていないプロジェクトを区別します。
GET /api/v1 /organizations/{id}/ policies/roleout
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/organizations/{id}/policies/rollout' \
--header "Authorization: $API_KEY"
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(200)
{
"converged": 42,
"dead_lettered": 42,
"lagging_projects": [
{
"attempts": 42,
"dead_lettered": true,
"failure_kind": "string",
"generation": 42,
"project_id": "string",
"reason": "string",
"received_generation": 42
}
],
"missing_config": 42,
"org_id": "string",
"pending_materialization": 42,
"pending_publish": 42,
"projects_total": 42,
"truncated": true
}
応答の例(200)
{
"converged": 42,
"dead_lettered": 42,
"lagging_projects": [
{
"attempts": 42,
"dead_lettered": true,
"failure_kind": "string",
"generation": 42,
"project_id": "string",
"reason": "string",
"received_generation": 42
}
],
"missing_config": 42,
"org_id": "string",
"pending_materialization": 42,
"pending_publish": 42,
"projects_total": 42,
"truncated": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}